---
meta:
  title: Subheader component
  description: The subheader component is used to provide context of sections of content or filtering and sorting criteria.
  keywords: subheaders, vuetify subheader component, vue subheader component
related:
  - /components/cards/
  - /components/grids/
  - /components/lists/
---

# Subheaders

The `v-subheader` component is used to separate sections of lists.

<entry-ad />

## Usage

Subheaders in their simplest form display a subheading with default theme.

<example file="v-subheader/usage" />

## API

- [v-subheader](/api/v-subheader)

<inline-api page="components/subheaders" />

## Examples

### Props

#### Inset

**inset** subheaders are moved 72px to the right. This gives you the option to line them up with list items and inset dividers.

<example file="v-subheader/prop-inset" />

### Misc

#### Grid

A subheader can add context to what a user is looking at.

<example file="v-subheader/misc-grid" />

#### Menu

Using a subheader can help separate different types of actions.

<example file="v-subheader/misc-menu" />

#### Social media

Using a subheader with social media interaction.

<example file="v-subheader/misc-social-media" />

<backmatter />
